MIBs supported by Ethernet Catalyst 2970 series


Please note that not all objects are supported in all of the listed MIBs. Please consult the documentation for further information on MIB object support.


MIBs supported since IOS release 12.1(11)AX

BRIDGE-MIB (RFC1493)

CISCO-BULK-FILE-MIB

CISCO-CDP-MIB

CISCO-CLUSTER-MIB

CISCO-CONFIG-MAN-MIB

CISCO-ENTITY-FRU-CONTROL-MIB

CISCO-ENVMON-MIB

CISCO-FLASH-MIB

CISCO-IGMP-FILTER-MIB

CISCO-IMAGE-MIB

CISCO-MAC-NOTIFICATION-MIB

CISCO-MEMORY-POOL-MIB

CISCO-PAGP-MIB

CISCO-PING-MIB

CISCO-PORT-SECURITY-MIB

CISCO-PROCESS-MIB

CISCO-RTTMON-MIB

CISCO-STACK-MIB

CISCO-STP-EXTENSIONS-MIB

CISCO-TCP-MIB

CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB

CISCO-VLAN-MEMBERSHIP-MIB

CISCO-VTP-MIB

ENTITY-MIB (RFC2737)

ETHERLIKE-MIB (RFC1398)

IF-MIB (RFC1573)

IGMP-MIB

OLD-CISCO-CHASSIS-MIB

OLD-CISCO-INTERFACES-MIB

OLD-CISCO-IP-MIB

OLD-CISCO-SYS-MIB

OLD-CISCO-TS-MIB

MIB-II (RFC1213)

RMON-MIB (RFC1757)

RMON2-MIB (RFC2021)

SNMP-FRAMEWORK-MIB (RFC2571)

SNMP-MPD-MIB (RFC2572)

SNMP-NOTIFICATION-MIB (RFC2573)

SNMP-TARGET-MIB (RFC2573)

SNMP-VACM-MIB  (SNMP-VIEW-BASED-ACM-MIB) (RFC2575)

SNMP-USM-MIB  (SNMP-USER-BASED-SM-MIB) (RFC2574)

SNMPv2-MIB (RFC1907)

TCP-MIB (RFC2012)

UDP-MIB (RFC2013)



MIBs added in IOS release 12.1(14)EA1


CISCO-CONFIG-COPY-MIB

CISCO-FTP-CLIENT-MIB

CISCO-L2L3-INTERFACE-CONFIG-MIB

CISCO-LAG-MIB

CISCO-SYSLOG-MIB

IEEE8023-LAG-MIB